# Ruleset

Binds received DTLS messages to the specified processing ruleset. .. summary-end

This parameter applies to imdtls: Input Module for DTLS Protocol over UDP.

Name:

  ruleset

Scope:

  input

Type:

  word

Default:

  none

Required?:

  no

Introduced:

  v8.2402.0

## Description

Determines the ruleset to which the imdtls input will be bound. This can be overridden at the instance level.

## Input usage

    module(load="imdtls")
    input(type="imdtls" ruleset="secure-logs")

## See also

See also imdtls: Input Module for DTLS Protocol over UDP.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.